HACCP szoftver support - Dokumentacié #22817

Az alabbi lista kiértékelése
05/13/2024 11:29 AM - Ravetzky Arpad

Status: Resolved Start date: 05/13/2024
Priority: Normal Due date: 07/15/2024
Assignee: Nagy Gabor % Done: 100%
Category: Estimated time: 0.25 hour

Target version:

Felkésziiltésgi szint:  Pre-Junior (1)

Description

Kiprobaltuk élesben a szoftvert és van néhany észrevétellink, amiket szeretnénk jelezni.

1. Az els6 az lenne, hogy a 36 és 69 Gzemeknél fel lettek véve egymashoz fidkok, ezt nem talaltam meg, hol tudjuk t6réini, ebben

kérnénk segitséget.(esetleg opciét a toriéshez)

Felhasznaldi fiokot cégtél nem lehet t6rdini a kapcsolatot el tudom vagni hogy lassa.

Ha ez sziikséges, hogy ki lehessen venni fidkot teljesen a cégtdl (Feature) : 16ra (csak siman lekapcsoljuk a user a cégtdl atél
még létezni fog és az 6 altala felvett dolgoknal a neve meg fog jelenni be tud jelentkezni de nem lat semmit. igy j6?)

2. Jelenleg az Gzemek is teljes admin jogosultsdggal mennek, mert csak igy képesek eszkdzdket felvenni. Ezt szeretnénk, hogy
admin jog nélkil is megtehessék.

Direkt kiilon jogosultsag lett felvéve (HACCP admin) hogy azzal menjen a dolgok felvétele.
Megnéztem a beallitdsokat élesen a tesztcégnél nem kellett hozza (Bérl admin).

3. Felvett eszkdzdket, mi a teljes admin jogosultsaggal tudjunk téréini.

Nincsen lehet8ség most. Megoldhaté de illyen esetben mi térténik azoknal amihez mar van adat. Tébb helyen kezelve van a
statusz az aktiv inaktiv statusz. (Feature) : 2-4 6ra (tényleges torléssel csak adatvesztéssel lehetséges ha mér volt felvéve
valami. Ami egyszer inaktivra lett téve nem vissza kapcsoltahé igy j6 ?)

4. A takaritasi naplénal, ha legdrgetnek, akkor nem latszanak a helyiségek nevei, ezt esetleg lehetne fixalni, hogy ezt lassék a
gorgetéstdl fliggetlendl?

Megoldhaté elvileg (Feature) : 1-4 6ra

5. Admin jog nélkdl hibat kaptunk az étel felvételnél, de ki-be jelentkezés utan megjelentek az ételek. Ezeket teszt jelleggel vettik
fel és szeretnénk ket térdini.

Az alairason rossz jogosultsag maradt a helyben felvételnél kijavitottam. (Bugfix)

6. Inaktivalni lehet téréIni nem. ki tudomszedni a teszt adatokat (Feature) magat az ételt akarjuk toroini vagy az Etelkészités és
talalas ellendrzd bejegyzést. Az Etelkészités és talalas ellendrzé-t kitudjuk kénnyen toréini az étel-t Ami egyszer inaktivra lett
téve nem lesz vissza kapcsoltaho igy jo ?

7. Szeretnénk tovabba, hogy az ételek neveit egy hétre el6re fel tudjak venni az izemek anélkil, hogy ki kéne tdltenilik a hozza
tartozé6 mezdéket.

A bedllitasokban barmikor fel lehet venni az Etelek nevét.

8. Az aruatvételi lapndl az aru mennyisége és sorszama nem kell, hogy szerepeljen, a h6mérsékletnél szeretnénk, hogy negativ
érték is szerepelhessen, illetve egy kérnyezeti h6mérséklet, ha nem hiitétt arurdl van szé.
negativ hdmérséklet mondjuk (bugfix)
oszlopok levéterle és (] oszlop (feature) 2-3 6ra

Subtasks:
Bugfix # 22818: Etel felvétel nem csak admin szamara Closed
Bugfix # 22819: Aruatvétel: A h6mérséklet lehessen negativ is Closed
Feature # 22895: ki lehessen venni fidkot teljesen a cégtél New
Feature # 22956: fellletre kellene egy torl6 ikon userhez In Progress
Feature # 23071: kiegészités user térléshez tanantnal Closed
Feature # 22896: A takaritasi naplondl, ha legérgetnek, akkor nem latszanak a helyisége... Closed
Feature # 22941: Takaritasi naplénal a header mindig maradjon a képernyén Closed
History

#1 - 05/13/2024 01:21 PM - Nagy Gabor
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100
#2 - 05/13/2024 01:21 PM - Nagy Gabor
- Description updated

#3 - 05/13/2024 02:40 PM - Nagy Gabor

- Description updated

#4 - 05/13/2024 02:41 PM - Nagy Gabor

- Description updated

#5 - 05/13/2024 02:42 PM - Nagy Gabor

- Description updated

#6 - 05/13/2024 03:03 PM - Nagy Gabor

- Description updated

#7 - 05/27/2024 03:44 PM - Ravetzky Arpad
- Description updated
